import requests
import sys
import datetime
import current

"note: neptune.cookie should be 600"

url = "https://np.ironhelmet.com/trequest/order"

params = {"type": "order",
          "order": "toggle_pause_game",
          "game_number": 6303488032899072,
          "version": ""}

print ("<hr>")
print ("Launched with", sys.argv, ", time is", current.now())

def handle_cookie(headers):
    if "Set-Cookie" not in headers:
        print ("No new cookie provided!")
        return
    cookie = headers['Set-Cookie'].partition(";")[0]
    with open("neptune.cookie", "w") as f:
        f.write(cookie)
    print ("Changed cookie to "+cookie[-4:])
    
def toggle():
    headers = {}
    with open("neptune.cookie") as f:
        cookie = f.read().strip()
        headers = {"cookie": cookie}
        print ("Cookie is "+ cookie[-4:])
    try:
        r = requests.post(url, params=params, headers=headers)
        assert r.json()['event'] != "order:error"
        handle_cookie(r.headers)   
        return r.json()['report']['paused'] # 
    except AssertionError:
        print ("FATAL: Neptune detected an error")
        print (r.json())
        raise
    except:
        print ("FATAL: I have no idea what is wrong")
        raise
        # PANIC

def off():
    paused = toggle()
    if not paused:
        paused = toggle()
    assert paused
    return paused

def on():
    paused = toggle()
    if paused:
        paused = toggle()
    assert not paused
    return paused


if __name__ == "__main__":
    args = sys.argv[1:]
    if not args:
        print ("FATAL: no arguments passed -- expected pause, play")
        exit(1)

    if "pause" in args:
       paused = off()
    elif "play" in args:
       paused = on()
    else:
       print ("FATAL: did not recognise arguments ", args, ", try pause or play")
       exit(2)

    now = datetime.datetime.now()
    print (' '.join(["Paused?", str(paused), "at", str(now)]))

